'''
Job actions plugin
'''

from __future__ import unicode_literals
from ..pluginbase import PluginBase
import views

class Plugin(PluginBase):

    def enable(self):
        self.actions_for_url = ('/navigator/(computer|ou)/([^/]+)/$', 'cancel_jobs')
        self.urls = (self.get_action_url('cancel_jobs'), views.CancelJobsView)
